
Katello - Bug #4946

Switching orgs in a katello page results in a redirect loop

03/28/2014 08:44 PM - Bryan Kearney

Status: Closed   

Priority: High   

Assignee: Walden Raines   

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1093601 Red Hat JIRA:  

Pull request:    

Description

Go to a katello page such as

http://localhost:3000/katello/products#/products

Then switch the org, you will see a blank page. You will notice the URL is changed

http://localhost:3000/katello/products#/

Selecting the menu item again resolves the issue.

Related issues:

Related to Katello - Bug #5703: Infinite reloads when hitting on an entities ... Closed 05/13/2014

Associated revisions

Revision 321622f0 - 05/22/2014 11:40 AM - Walden Raines

Fixes #4946/BZ1093601 - allow org-switcher urls to pass through angular.

This will prevent a redirect loop that occurs when switching orgs or

locations on a Bastion page.

Revision 4c9692ed - 05/22/2014 02:04 PM - Walden Raines

Merge pull request #4137 from waldenraines/4946

Fixes #4946/BZ1093601 - allow org-switcher urls to pass through angular.

Revision c18e75ff - 05/22/2014 03:40 PM - Walden Raines

Fixes #4946/BZ1093601 - allow org-switcher urls to pass through angular.

This will prevent a redirect loop that occurs when switching orgs or

locations on a Bastion page.

Revision 66582243 - 05/22/2014 06:04 PM - Walden Raines

Merge pull request #4137 from waldenraines/4946

Fixes #4946/BZ1093601 - allow org-switcher urls to pass through angular.

History

#1 - 04/25/2014 11:59 AM - Justin Sherrill

- translation missing: en.field_release set to 13

#2 - 04/25/2014 02:06 PM - Bryan Kearney

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1089201
#3 - 05/02/2014 03:28 PM - Walden Raines

- Status changed from New to Assigned

- Assignee set to Walden Raines

#4 - 05/05/2014 12:43 PM - Walden Raines

- Bugzilla link changed from https://bugzilla.redhat.com/show_bug.cgi?id=1089201 to https://bugzilla.redhat.com/show_bug.cgi?id=1093601

After the single page app changes, switching organizations on a katello page leads to a redirect loop.

Updating with new BZ link.

#5 - 05/13/2014 06:52 PM - Walden Raines

- Related to Bug #5698: Infinite Reload on diff pages -> Menu URLs calculated incorrectly. added

#6 - 05/13/2014 07:50 PM - Walden Raines

- Related to deleted (Bug #5698: Infinite Reload on diff pages -> Menu URLs calculated incorrectly.)

#7 - 05/13/2014 08:00 PM - Walden Raines

- Related to Bug #5703: Infinite reloads when hitting on an entities page with a / at the end added

#8 - 05/19/2014 04:11 PM - Walden Raines

- Subject changed from Switching orgs in a katello page results in an blank page to Switching orgs in a katello page results in a redirect loop

#9 - 05/22/2014 03:40 PM - Walden Raines

- Status changed from Assigned to Ready For Testing

https://github.com/Katello/katello/pull/4137

#10 - 05/22/2014 06:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:c18e75ff4d5e7337980af9be7dc7cdd1b368129a.

#11 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#12 - 06/06/2014 01:08 PM - Eric Helms

- Triaged changed from No to Yes
